View Issue Details

IDProjectCategoryView StatusLast Update
0003497SymmetricDSBugpublic2018-03-28 18:16
ReportergwilmerAssigned Togwilmer 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.6Fixed in Version3.9.6 
Summary0003497: Incoming staging files can be purged by the staging manager before they are processed
DescriptionIncoming staging files can be purged by the staging manager before they are processed.

Staging files are written before the sym_incoming_batch row is written. In rare cases based on timing, the StagingManager cleanup process can purge a file after it has been written to staging, and before the batch is written to sym_incoming_batch. A message will appear in the log as follows:

2018-03-15 07:25:33,365 INFO [client] [DataLoaderService] [client-dataloader-3] The batch server-57 was missing in staging. Setting status to resend.

This ONLY occurs when incoming batch ids are out of sequence (i.e. multiple channels and/or multiple source nodes).

In normal situations, this issue resolves itself by the target side requesting a resend of the batch and the source side sending it.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 81a69091

2018-03-18 22:04:57

gregwilmer

Details Diff
0003497: Fix timing issue in purge of incoming batch.
0003497
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/stage/BatchStagingManager.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

Issue History

Date Modified Username Field Change
2018-03-18 21:05 gwilmer New Issue
2018-03-18 21:05 gwilmer Status new => assigned
2018-03-18 21:05 gwilmer Assigned To => gwilmer
2018-03-18 21:05 gwilmer Issue generated from: 0003491
2018-03-18 22:11 gwilmer Status assigned => resolved
2018-03-18 22:11 gwilmer Resolution open => fixed
2018-03-18 22:11 gwilmer Fixed in Version => 3.9.6
2018-03-18 23:00 Changeset attached => SymmetricDS 3.9 81a69091
2018-03-28 18:16 mmichalek Status resolved => closed